<?php

/**
 * OpenKM, Open Knowledge Management System S.L.  (http://www.openkm.com)
 * Copyright (c) 2006-2018
 *
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is commercial software; you can use it under the terms of the
 * EULA - OpenKM SDK End User License Agreement as published by OpenKM Knowledge Management System S.L.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * EULA - OpenKM SDK End User License Agreement for more details:
 * http://docs.openkm.com/kcenter/view/licenses/eula-openkm-sdk-end-user-license-agreement.html
 */

namespace openkm\bean;

use openkm\bean\LocalDateTime;
/**
 * RestException 
 *
 * @author sochoa
 */
class RestException {    
    
    private $timestamp;    
    private $stacktrace;
    private $errorList = [];
    private $message;
    private $simpleName;        

    function __construct() {        
    }

    public function getTimestamp() {
        return $this->timestamp;
    }

    public function getMessage() {
        return $this->message;
    }

    public function getStacktrace() {
        return $this->stacktrace;
    }

    public function getErrorList() {
        return $this->errorList;
    }

    public function getSimpleName() {
        return $this->simpleName;
    }

    public function setTimestamp(LocalDateTime $timestamp): void {
        $this->timestamp = $timestamp;
    }

    public function setMessage($message): void {
        $this->message = $message;
    }

    public function setStacktrace($stacktrace): void {
        $this->stacktrace = $stacktrace;
    }

    public function setErrorList($errorList): void {
        $this->errorList = $errorList;
    }

    public function setSimpleName($simpleName): void {
        $this->simpleName = $simpleName;
    }

}
?>